<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.yidianling.ydlcommon.custom.view.TitleBar
        android:id="@+id/title_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/title_bar_height"
        android:background="@color/white"
        app:left_start_icon="@drawable/toolbar_back"
        app:title_text="付款" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:layout_marginTop="45dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <!--类型+付款金额-->
            <LinearLayout
                android:id="@+id/ll_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tvType"
                    android:layout_width="0px"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="11.5dp"
                    android:layout_marginStart="@dimen/dp_15"
                    android:layout_marginTop="@dimen/dp_28"
                    android:layout_weight="1"
                    android:textColor="@color/color_333333"
                    android:textSize="@dimen/dp_15"
                    android:textStyle="bold"
                    tools:text="心理测试" />

                <TextView
                    android:id="@+id/tvTypeMoney"
                    android:layout_width="0px"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="11.5dp"
                    android:layout_marginEnd="@dimen/dp_20"
                    android:layout_marginTop="@dimen/dp_28"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:textColor="@color/color_333333"
                    android:textSize="@dimen/dp_15"
                    tools:ignore="RtlHardcoded"
                    tools:text="￥39.00" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_0.5"
                android:layout_marginStart="@dimen/dp_15"
                android:background="@color/color_E0E0E0"
                tools:ignore="RtlSymmetry" />
            <!--红包优惠-->
            <LinearLayout
                android:id="@+id/ll_redPacket"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="horizontal"
                android:paddingTop="@dimen/dp_16">

                <TextView
                    android:layout_width="0px"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_15"
                    android:layout_weight="1"
                    android:text="@string/redpacket_Discount"
                    android:textColor="@color/color_333333"
                    android:textSize="@dimen/dp_14" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal|center_vertical"
                    android:layout_marginEnd="@dimen/dp_20"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tvRedPacketMoney"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:adjustViewBounds="true"
                        android:gravity="center_vertical"
                        android:textColor="@color/color_FF4650"
                        android:textSize="@dimen/dp_14"
                        tools:ignore="RtlHardcoded"
                        tools:text="-￥3.00" />

                    <ImageView
                        android:id="@+id/tvRedPacketMore"
                        android:layout_width="6dp"
                        android:layout_height="@dimen/dp_10"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="@dimen/dp_4"
                        android:layout_marginTop="1.5dp"
                        android:background="@drawable/redpacket_more" />
                </LinearLayout>
            </LinearLayout>
            <View
                android:id="@+id/v_balanceTop"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_16"
                android:background="@color/white"/>
            <!--使用余额-->
            <LinearLayout
                android:id="@+id/ll_Balance"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tvBalanceTitle"
                    android:layout_width="0px"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/dp_16"
                    android:layout_marginStart="@dimen/dp_15"
                    android:layout_weight="1"
                    android:textColor="@color/color_333333"
                    android:textSize="@dimen/dp_14"
                    tools:text="使用余额（可用￥100.00）" />

                <TextView
                    android:id="@+id/tvUseBalance"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/dp_16"
                    android:layout_marginEnd="@dimen/dp_20"
                    android:gravity="center_vertical"
                    android:textColor="@color/color_333333"
                    android:textSize="@dimen/dp_14"
                    tools:ignore="RtlHardcoded"
                    tools:text="-￥36.00" />
            </LinearLayout>

            <View
                android:id="@+id/v_redPacketAndBalance"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_0.5"
                android:layout_marginStart="@dimen/dp_15"
                android:background="@color/color_E0E0E0" />
            <!--还需支付-->
            <RelativeLayout
                android:id="@+id/rl_RestPay"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_alignParentStart="true"
                android:background="@color/white">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="59.5dp"
                    android:layout_alignParentEnd="true"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="20dp"
                        android:text="@string/redpacket_restPay"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/dp_14" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_8"
                        android:layout_marginTop="20dp"
                        android:text="￥"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/dp_16"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/tvRestPay"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginEnd="@dimen/dp_20"
                        android:layout_marginStart="@dimen/dp_2"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/dp_24"
                        android:textStyle="bold"
                        tools:text="34.00" />
                </LinearLayout>
            </RelativeLayout>

            <LinearLayout
                android:id="@+id/ll_select_pay"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/color_F6F6F6"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/dp_8"
                    android:layout_marginLeft="@dimen/dp_15"
                    android:layout_marginTop="@dimen/dp_15"
                    android:text="请选择支付方式"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_12" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/ll_wechat"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="@dimen/default_dis_size_big"
                            android:src="@drawable/wechat_for_pay" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/default_dis_size_big"
                            android:layout_weight="1"
                            android:text="微信支付"
                            android:textColor="@color/color_333333"
                            android:textSize="@dimen/dp_14" />

                        <ImageView
                            android:id="@+id/iv_wechat"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="@dimen/default_dis_size_big"
                            android:src="@drawable/ok_h" />
                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/divide_line_stroke_width"
                        android:background="@color/divide_color" />

                    <LinearLayout
                        android:id="@+id/ll_alipay"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="@dimen/default_dis_size_big"
                            android:src="@drawable/zhifubao" />

                        <TextView

                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/default_dis_size_big"
                            android:layout_weight="1"
                            android:text="支付宝支付"
                            android:textColor="@color/color_333333"
                            android:textSize="@dimen/dp_14" />

                        <ImageView
                            android:id="@+id/iv_alipay"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="@dimen/default_dis_size_big"
                            android:src="@drawable/ok_n" />

                    </LinearLayout>

                    <ImageView

                        android:layout_width="match_parent"
                        android:layout_height="@dimen/divide_line_stroke_width"
                        android:background="@color/divide_color" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="@color/color_F6F6F6"
                android:orientation="vertical"
                android:visibility="visible">

                <TextView
                    android:id="@+id/tv_hint_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:lineSpacingMultiplier="1.5"
                    android:paddingLeft="15dp"
                    android:paddingTop="25dp"
                    android:textColor="#999999"
                    android:textSize="14sp"
                    android:visibility="gone"
                    tools:text="付款保障" />

                <TextView
                    android:id="@+id/tv_hint_content"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="25dp"
                    android:lineSpacingMultiplier="1.5"
                    android:paddingLeft="15dp"
                    android:paddingTop="10dp"
                    android:textColor="#999999"
                    android:textSize="14sp"
                    android:visibility="gone"
                    tools:text="我们可以设置每行的行间距，aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
        可以通过属性android:lineSpacingExtra或android:lineSpacingMultiplier来做。 " />
            </LinearLayout>
        </LinearLayout>

    </ScrollView>

    <LinearLayout
        android:id="@+id/bottom_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/ll_kefu"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="center">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:layout_marginRight="5dp"
                android:src="@drawable/home_kefu" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center"
                android:text="客服"
                android:textColor="#666666"
                android:textSize="17sp" />

        </LinearLayout>

        <com.yidianling.ydlcommon.custom.view.RoundCornerButton
            android:id="@+id/rcb_pay"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_weight="2"
            android:text="支付"
            android:gravity="center_vertical|center_horizontal"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="17sp"
            app:round_btn_bg="@color/default_button_bg" />

    </LinearLayout>
</RelativeLayout>